---
title: Validate SQL
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Pipelines](https://developers.cloudflare.com/api/python/resources/pipelines)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# Validate SQL

pipelines.validate\_sql(PipelineValidateSqlParams\*\*kwargs) -> [PipelineValidateSqlResponse](<https://developers.cloudflare.com/api/python/resources/pipelines#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)>)

POST/accounts/{account\_id}/pipelines/v1/validate\_sql

Validates that the Pipelines SQL is correct.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`Pipelines Write`

##### ParametersExpand Collapse

account\_id: str

Specifies the public ID of the account.

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20account_id%20%3E%20(schema)>)

sql: str

Specifies SQL to validate.

[Link to this property](<#(resource)%20pipelines%20%3E%20(method)%20validate_sql%20%3E%20(params)%20default%20%3E%20(param)%20sql%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class PipelineValidateSqlResponse: …

</summary>

<details>

<summary>

tables: Dict\[str, Tables]

Indicates tables involved in the processing.

</summary>

id: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20id">Link to this property</a>

name: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20name">Link to this property</a>

type: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20type">Link to this property</a>

version: float

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables%20%3E%20(items)%20%3E%20(property)%20version">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20tables">Link to this property</a>

<details>

<summary>

graph: Optional\[Graph]

Indicates the processing flow to implement the SQL.

</summary>

<details>

<summary>

edges: List\[GraphEdge]

</summary>

dest\_id: int

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20dest_id">Link to this property</a>

edge\_type: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20edge_type">Link to this property</a>

key\_type: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20key_type">Link to this property</a>

src\_id: int

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20src_id">Link to this property</a>

value\_type: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges%20%3E%20(items)%20%3E%20(property)%20value_type">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20edges">Link to this property</a>

<details>

<summary>

nodes: List\[GraphNode]

</summary>

description: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20description">Link to this property</a>

node\_id: int

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20node_id">Link to this property</a>

operator: str

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20operator">Link to this property</a>

parallelism: int

formatint32

minimum0

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes%20%3E%20(items)%20%3E%20(property)%20parallelism">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph%20%3E%20(property)%20nodes">Link to this property</a>

</details>

<a href="#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)%20%3E%20(property)%20graph">Link to this property</a>

</details>

[Link to this property](<#(resource)%20pipelines%20%3E%20(model)%20pipeline_validate_sql_response%20%3E%20(schema)>)

### Validate SQL

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
response = client.pipelines.validate_sql(
    account_id="0123105f4ecef8ad9ca31a8372d0c353",
    sql="insert into sink select * from source;",
)
print(response.tables)
```

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```

##### Returns Examples

200 example

```
{
  "result": {
    "tables": {
      "foo": {
        "id": "id",
        "name": "name",
        "type": "type",
        "version": 0
      }
    },
    "graph": {
      "edges": [
        {
          "dest_id": 0,
          "edge_type": "edge_type",
          "key_type": "key_type",
          "src_id": 0,
          "value_type": "value_type"
        }
      ],
      "nodes": [
        {
          "description": "description",
          "node_id": 0,
          "operator": "operator",
          "parallelism": 0
        }
      ]
    }
  },
  "success": true
}
```